<?php
/**
 * Footer Menu Template
 *
 * Displays the Footer Menu if it has active menu items.
 *
 * @package News
 * @subpackage Template
 */

if ( has_nav_menu( 'footer-menu' ) ) : ?>

	<div id="menu-footer" class="menu-container">

		<div class="wrap">

			<?php do_atomic( 'before_menu_footer' ); // Before subsidiary menu hook ?>

			<?php wp_nav_menu( array( 'theme_location' => 'footer-menu', 'container_class' => 'menu', 'menu_class' => '', 'menu_id' => 'menu-footer-items', 'depth' => 1, 'fallback_cb' => '' ) ); ?>

			<?php do_atomic( 'after_menu_footer' ); // After subsidiary menu hook ?>

		</div>

	</div><!-- #menu-footer .menu-container -->

<?php endif; ?>